<script type="text/javascript">

    var report_name = '<?= $params["report_name"]; ?>';
    var report_data_id = '<?= $params["report_data_id"]; ?>';
    var report_definition_url = '<?= $params["report_definition_url"]; ?>';

    var schema_url = '<?= $params["report_schema_url"]; ?>';
    var data_url = '<?= $params["report_data_url"]; ?>';

    function getDataSource()
    {
        return [{
            id: 'datasource1',
            name: 'datasource1',
            schema_url: schema_url,
            url: data_url
        }];
    }

    $(document).ready(function () {

        // To enable PDF download in IE9, set the path to the jsreports library
        jsreports.libraryPath = '/plugins/ims/reportmanager/widgets/report/assets/jsreports-all';

        // Load the report definition (here, a static file; in production, might be in a database)
        $.getJSON(report_definition_url, function (def) {
            report_def = def;

            // Now that we have the definition, we can run the report
            report_instance = jsreports.render({
                report_def: def,
                target: $(".report-output"),
                datasets: getDataSource()
            });
        });

    });
</script>

<div class="report-container">
    <div class="report-output"></div>
</div>
